<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>

<body>
  <div id="app">
    <p>{{ contador }}</p>
    <button v-on:click="somar(5, $event)">Somar 5</button>
    <p v-on:mousemove="atualizarXY">
      Mouse: {{ x }} e {{ y }}
      <span v-on:mousemove.stop="">PARAR AQUI!!</span>
    </p>
    <a v-on:click.prevent="naoNavegar" href="http://google.com">Google</a>
    <hr>
    <!--
      ref:
      https://vuejs.org/v2/guide/events.html#Key-Modifiers
    -->
    <h1>Evento ao soltar o botão do teclado</h1>
    <h2>Qualquer tecla</h2>
    <input type="text" v-on:keyup="exibirAlerta">
    <h2>Tecla Enter</h2>
    <input type="text" v-on:keyup.enter="exibirAlerta">
    <h2>Tecla Enter e Alt</h2>
    <input type="text" v-on:keyup.enter.alt="exibirAlerta">
  </div>
  <script src="app.js"></script>
</body>

</html>